---
- name: Install libselinux-python to work with SELinux setting
  yum:
    name: 'libselinux-python'
    state: 'installed'
  when:
    - not (ansible_distribution in ['Rocky','RedHat','CentOS'] and ansible_distribution_major_version == '8')
    - not (ansible_distribution == 'Fedora' and ansible_distribution_major_version >= '31')

- name: Install Pacemaker cluster packages to all nodes
  yum:
    name: "{{ cluster_node_is_remote | bool | ternary(pacemaker_remote_packages, pacemaker_packages) }}"
    state: 'installed'

- name: Install firewall packages
  yum:
    name: '{{ firewall_packages }}'
    state: 'installed'
  when: cluster_firewall|bool

- name: Install package(s) for fence_xvm
  yum:
    name: "{{ fence_xvm_packages }}"
    state: 'installed'
  when: cluster_configure_fence_xvm|bool

- name: Install package(s) for fence_kdump
  yum:
    name:  "{{ fence_kdump_packages }}"
    state: 'installed'
  when: cluster_configure_fence_kdump|bool

- name: Install all fence-agents packages
  yum:
    name:  "{{ fence_agents_packages }}"
    state: 'installed'
